//
// SydB☮x: seccomp and landlock based application sandbox with support for namespaces
// lib/tests/tests.rs: libsyd tests
//
// Copyright (c) 2023 Ali Polatel <alip@chesswob.org>
//
// SPDX-License-Identifier: LGPL-3.0-or-later

use std::process::Command;

#[test]
fn test_libsyd_pl() {
    let status = Command::new("syd")
        .env("SYD_NO_SYSLOG", "1")
        .args(["-ppaludis", "-pcontainer"])
        .arg("./src/syd.pl")
        .status()
        .expect("execute syd.pl");
    assert!(status.success(), "status:{status:?}");
}

#[test]
fn test_libsyd_py() {
    let status = Command::new("syd")
        .env("SYD_NO_SYSLOG", "1")
        .args(["-ppaludis", "-pcontainer"])
        .arg("./src/syd.py")
        .status()
        .expect("execute syd.py");
    assert!(status.success(), "status:{status:?}");
}
