//
// SydB☮x: seccomp and landlock based application sandbox with support for namespaces
// lib/fuzz/src/esyd.rs: Fuzz target for esyd function
//
// Copyright (c) 2023 Ali Polatel <alip@chesswob.org>
//
// SPDX-License-Identifier: LGPL-3.0-or-later

use std::{
    ffi::{CStr, CString, OsStr, OsString},
    fs::symlink_metadata,
    os::{
        raw::{c_char, c_int},
        unix::ffi::OsStrExt,
    },
    path::{Path, PathBuf},
};

include!("syd.rs");

fn main() {
    afl::fuzz!(|data: &[u8]| {
        let data = data.to_vec();
        let data = unsafe { CString::from_vec_unchecked(data) };
        let _ = esyd("exec/kill", data.as_ptr() as *const c_char, b'+');
    });
}
